Sign in to follow this  
LordGrenville

Cannot get V2 workingA

Recommended Posts

Hi

I've been using Pilot2Atc version 1435 without major issues for a while. Some days ago I decided to jump into V20011 but I get the following error before it starts:

 

Unable to initialize Database

The underlying provider failed to Open.

An attempt to attach an auto-named database for file F:\Altres programes\Programes externs X-Plane\Pilot2ATC_200\Data\P2ADynamicData.mdf failed. A database with the same name exists, or specified file cannot be opened, or it is located on UNC share.

 

If I hit OK, the program launches and I can connect it to the sim, but if I hit the display airports button, I get the error displaying airports... contact admin@pilot... If I hit ok twice, then I get an Unhanced exception has courred in your aplication... error.

 

I think I followed your instructions correctly. As I read in your web page that it wasn't mandatory to uninstall version one I didn't do it, and version one keeps on working fine installed in a different forlder.

 

Any help would be highly apprecitated.

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

This sounds like the database log files are out of sync with the database.

 

Go to the Data folder in the V2 Installation folder.  There should be two log files

 

P2ABaseData_log.ldf

P2ADynamicData_log.ldf

 

Delete these two files.  SQL will rebuild them.

 

This should get you going.

Dave

Share this post


Link to post
Share on other sites

Hi:

 

Sorry but I have no data folder in my V2 installation, so I can't find these files. I have been looking in my C drive also, but with no luck.

I only have two folders: Documentation and Grammars, and 21 more files but P2ABaseData_log.ldf and P2ADynamicData_log.ldf aren't among them.

 

Ramon

Share this post


Link to post
Share on other sites

Ramon,

Did you only install the update? 

 

Try downloading the full V2 (button at the top of the V2 download page marked "Download Beta  V2.0.0.1"), install that, and then install the update.  All databases are only included in the main install.

 

Thanks,

Dave

Share this post


Link to post
Share on other sites

Hi again:

 

Yes I'm affraid I installed the V20011 directly. Some more questions before I go further (I'd really like to stop bothering you): should I uninstall my V20011 now before I install Beta  V2.0.0.1 or can I overwirte it?  After I have my version 2.0.0.1 running, can I update directly to version 2.0.0.12 or I'd better install all the betas one after another step by step? And a last one: will I need a new activation code, so I must wait and ask for it  when I have version 2.0.0.12?

Thanks again.

Ramon

Share this post


Link to post
Share on other sites

Ramon

No need to uninstall.

Just install the full version over 20011, then install the 20012 update over that.

As long as you don't uninstall, no new activation code should be required.

 

Regards,

Dave

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this